[Launch]
;ProgramExecutable=Python\pythonw.exe
;CommandLineArguments="-m gpodder"
ProgramExecutable=gPodder\data\bin\gPodder.exe
WorkingDirectory=%PAL:AppDir%\gPodder\data\bin
DirectoryMoveOK=yes
SupportsUNC=yes

[Environment]
;PATH=%PAL:AppDir%\Python\PyDLL;%PAL:AppDir%\Python;%PAL:AppDir%\Python\Lib;%PAL:AppDir%\Python\DLLs;%PAL:AppDir%\Python\Lib\lib-tk;%PAL:AppDir%\gPodder\src;%PAL:AppDir\gPodder
;PATH=%PAL:AppDir%\Python\PyDLL
LANGUAGE=%PAL:LanguageCustom%
GPODDER_DOWNLOAD_DIR=%PAL:DataDir%\config\Downloads
GPODDER_HOME=%PAL:DataDir%\config
;PYTHONHOME=%PAL:AppDir%\Python
;PYTHONPATH=%PAL:AppDir%\Python\Lib;%PAL:AppDir%\Python\DLLs;%PAL:AppDir%\Python\Lib\lib-tk

[FilesMove]
org_gtk_gdbus_general=%USERPROFILE%\.dbus-keyrings

[DirectoriesMove]
-=%USERPROFILE%\.dbus-keyrings

[Language]
Base=%PortableApps.comLocaleglibc%
CheckIfExists=%PAL:AppDir%\gPodder\data\share\locale\%PAL:LanguageCustom%\LC_MESSAGES\gpodder.mo
DefaultIfNotExists=en

[LanguageFile]
Type=INI
File=%PAL:DataDir%\settings\gPodderPortableSettings.ini
Section=gPodderPortableSettings
Key=Language

[FileWrite1]
Type=INI
File=%PAL:DataDir%\settings\gPodderPortableSettings.ini
Section=gPodderPortableSettings
Key=Language
Value=%PAL:LanguageCustom%

[FileWrite2]
Type=Replace
File=%PAL:DataDir%\config\Settings.json
Find=%PAL:LastPortableAppsBaseDir%\
Replace=%PAL:PortableAppsBaseDir%\

[FileWrite3]
Type=Replace
File=%PAL:DataDir%\config\Settings.json
Find=%PAL:LastDrive%%PAL:LastPackagePartialDir%\
Replace=%PAL:Drive%%PAL:PackagePartialDir%\

[FileWrite4]
Type=Replace
File=%PAL:DataDir%\config\Settings.json
Find=%PAL:LastDrive%\
Replace=%PAL:Drive%\
